Subject: bug#22234: 25.0.50; EWW doesn't display some links in GNU manuals

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2015 17:52:10 +0100

Eli Zaretskii <[email-masked]> writes:

> Result: you get an empty page.
> Expected: You should get this page:
>
>   https://sourceware.org/gdb/current/onlinedocs/gdb/Remote-Configuration.html#set%20remote%20exec-file
>
> My crystal ball of a former Texinfo hacker says that the offending
> link goes through a short HTML page that just redirects to another
> page, and EWW somehow gets confused by that.  But that's just a guess.

Yes, the page the link points to just contains this:

<meta http-equiv="refresh" content="0; url=Remote-Configuration.html#set%20remote%20exec%2dfile">

eww doesn't support "refresh" metas, but I guess it could for just the
"0" timeout (i.e., redirect) case...

I mean, it could for other timeouts, too, but I rather think that that
is probably not something we want.  Having Emacs stop randomly and
re-retrieve the page.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no